
Foreman - Bug #13825

Clone hostgroup Fail with null value in column "hostgroup_id" violates not-null constraint

02/21/2016 09:39 PM - Mario Gamboa

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When i try to clone any hostgroup is come back with the following error

Warning!

PGError: ERROR: null value in column "hostgroup_id" violates not-null constraint DETAIL: Failing row contains (null, 2, 1). : UPDATE

"hostgroup_classes" SET "hostgroup_id" = NULL WHERE "hostgroup_classes"."hostgroup_id" = 1 AND "hostgroup_classes"."id" IN

(1, 2, 3)

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace , relevant log entries, and it is highly recommended to also attach the foreman-debug output.

ActiveRecord::StatementInvalid

PGError: ERROR: null value in column "hostgroup_id" violates not-null constraint DETAIL: Failing row contains (null, 2, 1). : UPDATE

"hostgroup_classes" SET "hostgroup_id" = NULL WHERE "hostgroup_classes"."hostgroup_id" = 1 AND "hostgroup_classes"."id" IN

(1, 2, 3)

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:1158:in

`async_exec'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:1158:in

`exec_no_cache'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:675:in

`block in exec_delete'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:280:in

`block in log'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:275:in `log'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:674:in

`exec_delete'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb

:96:in `update'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/query_cache.rb:14:in

`update'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:294:in `update_all'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/has_many_association.rb:98:in

`delete_records'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:464:in

`remove_records'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:457:in `block in

delete_or_destroy'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:149:in `block in

transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb

:192:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:148:in

`transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:457:in

`delete_or_destroy'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:229:in `delete'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:477:in

`replace_records'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:312:in `replace'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_association.rb:41:in `writer'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/builder/association.rb:51:in `block in

define_writers'

/opt/theforeman/tfm/root/usr/share/gems/gems/deep_cloneable-2.1.1/lib/deep_cloneable.rb:80:in `block in deep_clone'

/opt/theforeman/tfm/root/usr/share/gems/gems/deep_cloneable-2.1.1/lib/deep_cloneable.rb:40:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/deep_cloneable-2.1.1/lib/deep_cloneable.rb:40:in `deep_clone'

/usr/share/foreman/app/models/hostgroup.rb:198:in `clone'

/usr/share/foreman/app/controllers/hostgroups_controller.rb:33:in `clone'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:649:in `block (4 levels) in run

_1047008019105594387__process_action__2674660514790911157__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_12647'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_2504'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_12647'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:626:in `block (3 levels) in _run

_1047008019105594387__process_action__2674660514790911157__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_12646'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_12646'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:625:in `block (2 levels) in _run

_1047008019105594387__process_action__2674660514790911157__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_12645'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_12645'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:in `block in _run

_1047008019105594387__process_action__2674660514790911157__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_12644'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_12644'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in `_run

_1047008019105594387__process_action__2674660514790911157__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:

in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`_run__3636551147187917671__call__176419412023854246__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'
History

#1 - 02/21/2016 09:55 PM - Mario Gamboa

this is on version 2.4.1 katello

#2 - 02/27/2016 10:51 AM - Eric Helms

- Category set to 83

- translation missing: en.field_release set to 86

#3 - 03/13/2016 12:07 PM - Eric Helms

- Project changed from Katello to Foreman

- Category deleted (83)

- translation missing: en.field_release deleted (86)

#4 - 03/14/2016 09:33 AM - Dominic Cleal

- Subject changed from Clone hostgroup Fail to Clone hostgroup Fail with null value in column "hostgroup_id" violates not-null constraint

- Category set to Host groups

- Priority changed from High to Normal

- Difficulty deleted (easy)

Which version of Foreman is this exactly?  Look at the About page or run rpm -q foreman.

Can you provide a simplified reproducer?  I can't reproduce this on Foreman 1.10.2 with a host group with environment and a single class assigned.

If you have a reproducer, please enable debug SQL logging in settings.yaml and attach production.log while you perform the cloning operation:

:logging:

  :level: debug

:loggers:

  :sql:

    :enabled: true

 (http://theforeman.org/manuals/1.10/index.html#7.2Debugging)

#5 - 03/17/2016 05:22 AM - Patrick Hurrelmann

- File foreman_hostgroup-clone_without_location.txt added

I'm facing the same issue on my katello install.

Installed Packages

candlepin-0.9.51.3-1.el7.noarch

candlepin-common-1.0.23-1.el7.noarch

candlepin-selinux-0.9.51.3-1.el7.noarch

candlepin-tomcat-0.9.51.3-1.el7.noarch

katello-2.4.1-1.el7.noarch

katello-certs-tools-2.4.0-1.el7.noarch

katello-common-2.4.1-1.el7.noarch

katello-debug-2.4.1-1.el7.noarch

katello-default-ca-1.0-1.noarch

katello-installer-2.4.0-1.el7.noarch

katello-installer-base-2.4.0-1.el7.noarch

katello-repos-2.4.0-5.el7.noarch

katello-selinux-2.2.2-1.el7.noarch

katello-server-ca-1.0-1.noarch

katello-service-2.4.1-1.el7.noarch

katello.ma.scm.lobster.de-apache-1.0-1.noarch

katello.ma.scm.lobster.de-foreman-client-1.0-1.noarch

katello.ma.scm.lobster.de-foreman-proxy-1.0-2.noarch

katello.ma.scm.lobster.de-foreman-proxy-client-1.0-1.noarch

katello.ma.scm.lobster.de-parent-cert-1.0-1.noarch

katello.ma.scm.lobster.de-puppet-client-1.0-1.noarch

katello.ma.scm.lobster.de-qpid-broker-1.0-1.noarch

katello.ma.scm.lobster.de-qpid-client-cert-1.0-1.noarch

05/18/2024 4/6

http://theforeman.org/manuals/1.10/index.html#7.2Debugging


katello.ma.scm.lobster.de-qpid-router-client-1.0-1.noarch

katello.ma.scm.lobster.de-qpid-router-server-1.0-1.noarch

libqpid-dispatch-0.4-11.el7.x86_64

pulp-admin-client-2.6.4-1.el7.noarch

pulp-docker-plugins-1.0.2-1.el7.noarch

pulp-katello-0.4-3.el7.noarch

pulp-nodes-admin-extensions-2.6.4-1.el7.noarch

pulp-nodes-common-2.6.4-1.el7.noarch

pulp-nodes-parent-2.6.4-1.el7.noarch

pulp-puppet-plugins-2.6.4-1.el7.noarch

pulp-puppet-tools-2.6.4-1.el7.noarch

pulp-rpm-admin-extensions-2.6.4-1.el7.noarch

pulp-rpm-plugins-2.6.4-1.el7.noarch

pulp-selinux-2.6.4-1.el7.noarch

pulp-server-2.6.4-1.el7.noarch

python-gofer-qpid-2.6.2-1.el7.noarch

python-isodate-0.5.0-4.pulp.el7.noarch

python-kombu-3.0.24-8.pulp.el7.noarch

python-pulp-bindings-2.6.4-1.el7.noarch

python-pulp-client-lib-2.6.4-1.el7.noarch

python-pulp-common-2.6.4-1.el7.noarch

python-pulp-docker-common-1.0.2-1.el7.noarch

python-pulp-puppet-common-2.6.4-1.el7.noarch

python-pulp-rpm-common-2.6.4-1.el7.noarch

python-qpid-0.30-9.el7.noarch

python-qpid-qmf-0.30-5.el7.x86_64

python-rhsm-1.8.0-2.pulp.el7.x86_64

qpid-cpp-client-0.30-8.el7.x86_64

qpid-cpp-client-devel-0.30-8.el7.x86_64

qpid-cpp-server-0.30-8.el7.x86_64

qpid-cpp-server-linearstore-0.30-8.el7.x86_64

qpid-dispatch-router-0.4-11.el7.x86_64

qpid-proton-c-0.9-13.el7.x86_64

qpid-qmf-0.30-5.el7.x86_64

qpid-tools-0.30-4.el7.noarch

rubygem-smart_proxy_pulp-1.0.1-2.el7.noarch

tfm-rubygem-hammer_cli_katello-0.0.19-1.el7.noarch

tfm-rubygem-katello-2.4.1-3.el7.noarch

tfm-rubygem-qpid_messaging-0.30.0-3.el7.x86_64

 I enabled debug logging as instructed in comment 4.

The first try was done with my default organisation selected and no location. This resulted in the mentioned sql-error.

(Attachment foreman_hostgroup-clone_without_location.txt)

The second try was done with set organisation and locatiion. Again the same sql-error.

(Attachment foreman_hostgroup-clone_with_location.txt)

And a third try with any organisation or location selected. This worked. No sql-error.

(Attachment foreman_hostgroup-clone_without_organisation_and_location.txt)

Without an organisation but with selected location, the sql-error is back.

(Attachment foreman_hostgroup-clone_without_organisation.txt)

For me cloning only works, when no organisation and location is set altough the host group that

should be cloned is assigned to both (organisation and location).

#6 - 03/17/2016 05:22 AM - Patrick Hurrelmann

- File foreman_hostgroup-clone_with_location.txt added

#7 - 03/17/2016 05:23 AM - Patrick Hurrelmann

- File foreman_hostgroup-clone_without_organisation_and_location.txt added

#8 - 03/17/2016 05:23 AM - Patrick Hurrelmann

- File foreman_hostgroup-clone_without_organisation.txt added

#9 - 03/17/2016 05:57 AM - Patrick Hurrelmann

- File foreman_hostgroup-clone_without_organisation_and_location.txt added

Reworked log foreman_hostgroup-clone_without_organisation_and_location.txt with proper sql-logging enabled
#10 - 03/17/2016 05:57 AM - Patrick Hurrelmann

- File foreman_hostgroup-clone_without_location.txt added

Reworked log foreman_hostgroup-clone_without_location.txt with proper sql-logging enabled

#11 - 03/17/2016 06:39 AM - Dominic Cleal

- Category changed from Host groups to Organizations and Locations

Files

foreman_hostgroup-clone_without_location.txt 33.8 KB 03/17/2016 Patrick Hurrelmann

foreman_hostgroup-clone_with_location.txt 33.8 KB 03/17/2016 Patrick Hurrelmann

foreman_hostgroup-clone_without_organisation_and_location.txt 2.43 KB 03/17/2016 Patrick Hurrelmann

foreman_hostgroup-clone_without_organisation.txt 33.8 KB 03/17/2016 Patrick Hurrelmann

foreman_hostgroup-clone_without_organisation_and_location.txt 26.4 KB 03/17/2016 Patrick Hurrelmann

foreman_hostgroup-clone_without_location.txt 43.6 KB 03/17/2016 Patrick Hurrelmann
